Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Doctrine repository findAll is inconsistent
Description

The findAll method of the special doctrine repository (needed for custom DQL afaik) returns an array of objects (through
parent::findAll). The default repository does return a QueryResult object which is needed for widgets etc. to work. Also the Doctrine
Query itself does return a QueryResult in execute(). So the current behavior is inconsistent and can lead to bugs.

Related issues:
related to TYPO3.Flow - Bug # 38381: Doctrine Repository | findAll()-method d... Resolved 2012-06-25
related to TYPO3.Flow - Bug # 38841: Magic findBy methods in Doctrine\Reposit... Resolved 2012-07-10

Associated revisions
Revision 9825cdbf - 2012-07-10 12:10 - Karsten Dambekalns

[BUGFIX] Have Doctrine\Repository::findAll() return a QueryResult

This makes the behavior of Doctrine\Repository consistent and
allows the use of findAll() e.g. in combination with widgets.

With this change, findAll() also observes the default ordering
of a repository.

Change-Id: If24afae617a745d791d5fc81ab070e5d3738a545
Fixes: #35035
Fixes: #38381
Releases: 1.1, 1.2

Revision 93658121 - 2012-07-18 12:47 - Karsten Dambekalns

[BUGFIX] Have Doctrine\Repository::findAll() return a QueryResult

This makes the behavior of Doctrine\Repository consistent and
allows the use of findAll() e.g. in combination with widgets.

With this change, findAll() also observes the default ordering
of a repository.

Change-Id: If24afae617a745d791d5fc81ab070e5d3738a545
Fixes: #35035
Fixes: #38381
Releases: 1.1, 1.2
History
#1 - 2012-03-20 13:39 - Karsten Dambekalns
- Status changed from New to Accepted
- Target version set to 1.1

#2 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#3 - 2012-06-25 22:28 - Karsten Dambekalns
- Affected Flow version changed from Git master to FLOW3 1.0.0

#4 - 2012-06-25 22:29 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12365

#5 - 2012-06-25 22:32 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12365

#6 - 2012-06-27 15:50 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1

#7 - 2012-07-10 09:56 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12365

#8 - 2012-07-10 12:19 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/12365

#9 - 2012-07-18 12:48 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12873

#10 - 2012-07-18 12:50 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- Target version changed from 1.1 to 1.1 RC2
- % Done changed from 0 to 100
